<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateAlbumComments extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('album_comments', function (Blueprint $table) {
            $table->increments('id');
            $table->unsignedInteger('store_id');
            $table->unsignedInteger('user_id')->comment('用户id');
            $table->integer('addtime')->comment('添加时间');
            $table->integer('comments_id')->comment('评论ID 0--首条评论');
            $table->text('content')->comment('评论内容');
            $table->unsignedInteger('is_delete')->default(0)->comment('Is_delete');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('album_comments');
    }
}
